Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 21844 - wireless-tools-26_pre9 fails
Summary: wireless-tools-26_pre9 fails
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: CVS/SVN/Git (show other bugs)
Hardware: x86 Linux
: High major (vote)
Assignee: Peter Johanson (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-28 14:31 UTC by merwan kashouty
Modified: 2011-10-30 22:47 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description merwan kashouty 2003-05-28 14:31:18 UTC
Calculating dependencies    ...done!
>>> emerge (1 of 1) net-wireless/wireless-tools-26_pre9 to /
>>> md5 src_uri ;-) wireless_tools.26.pre9.tar.gz
>>> Unpacking source...
>>> Unpacking wireless_tools.26.pre9.tar.gz to
/var/tmp/portage/wireless-tools-26_pre9/work
>>> Source unpacked.
gcc -march=pentium2 -O3 -pipe     -I /usr/src/linux/include -c iwlib.c
gcc:  No such file or directory
gcc: no input files
/bin/sh: line 1: 01m: command not found
make: *** [iwlib.o] Error 127

!!! ERROR: net-wireless/wireless-tools-26_pre9 failed.
!!! Function src_compile, Line 28, Exitcode 2
!!! (no error message)

_________________________________________________________________________________

reducing make opts to -j1 got rid of the waiting on unfinished jobs error that
is seen in bug 21818 but obviously it still fails .... 

this is on an "~x86" router box that is running a pll 450 and a wolk-pre-final
kernel... all other pkgs are up to date on this box so latest binutils and gcc-3.2.3
Comment 1 merwan kashouty 2003-05-28 14:38:48 UTC
here is the output from emerge info 
 
Portage 2.0.48 (default-x86-1.4, gcc-3.2.3, glibc-2.3.2-r1) 
================================================================= 
System uname: 2.4.20-wolk4.0s-pre-final i686 Pentium II (Deschutes) 
GENTOO_MIRRORS="ftp://ftp.uninett.no/linux/Gentoo/ 
http://ftp.snt.utwente.nl/pub/os/linux/gentoo/  http://gentoo.oregonstat$ 
CONFIG_PROTECT="/etc /var/qmail/control /usr/share/config /usr/kde/2/share/config 
/usr/kde/3/share/config" 
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d" 
PORTDIR="/usr/portage" 
DISTDIR="/usr/portage/distfiles" 
PKGDIR="/usr/portage/packages" 
PORTAGE_TMPDIR="/var/tmp" 
PORTDIR_OVERLAY="" 
$f mpeg ncurses nls oggvorbis opengl pdflib png qt quicktime sdl spell svga truetype X xml2 
xmms xv zlib gdbm berkdb slang $ 
COMPILER="gcc3" 
CHOST="i686-pc-linux-gnu" 
CFLAGS="-march=pentium2 -O3 -pipe" 
CXXFLAGS="-march=pentium2 -O3 -pipe" 
ACCEPT_KEYWORDS="x86 ~x86" 
MAKEOPTS="-j1" 
AUTOCLEAN="yes" 
SYNC="rsync://rsync.gentoo.org/gentoo-portage" 
FEATURES="sandbox ccache" 
 
Comment 2 Blu3 2003-05-29 19:05:13 UTC
The problem stems from the use of the variable $WARN in the ebuild system.  $WARN also exists in the wireless-tools Makefile.  $WARN contains the ANSI codes for bold/yellow.

The following patch fixes up the problem.

--- /usr/portage/net-wireless/wireless-tools/wireless-tools-26_pre9.ebuild~    2003-05-29 19:37:53.051755434 -0400
+++ /usr/portage/net-wireless/wireless-tools/wireless-tools-26_pre9.ebuild     2003-05-29 19:59:37.417644158 -0400
@@ -21,10 +21,12 @@
        check_KV

        mv Makefile ${T}
-       sed -e "s:# KERNEL_SRC:KERNEL_SRC:" \
+       sed -e "s:# KERNEL_SRC:KERNEL_SRC:" -e "s:WARN:WT_WARN:g" \
                ${T}/Makefile > Makefile
 }
 src_compile() {
Comment 3 Blu3 2003-05-29 19:10:24 UTC
Maybe the ebuild system should prefix it's specific variables with GENTOO_ to avoid clashes in the future?  I.E. $GENTOO_WARN

Please apply this patch so we can mark this fixed/resolved.
Comment 4 Peter Johanson (RETIRED) gentoo-dev 2003-05-29 19:42:57 UTC
Fixed all of the _preX ebuilds. Will those peole getting errors please test the latest stable wireless tools package to see if the same fix is required? i won't have time til tomorrow to go digging for that info myself.
Comment 5 merwan kashouty 2003-05-29 21:50:02 UTC
latexer that stable wireless-tools-25-r1 emerges just fine here i patched the "~x86" with the 
above... thought he patch failed for me ... i just edited the line... but anyway it built fine after 
that 
Comment 6 Pieter Van den Abeele (RETIRED) gentoo-dev 2003-05-30 02:06:41 UTC
I fixed this bug yesterday by adding an extra WARN="" to the line
emake CFLAGS="${CFLAGS}"

Bugzilla is being weird again...